SELECT
    t."Transaction ID",
    m."Sales Channel",
    m."Item Type",
    date(date_parse("Order Date",'%c/%e/%y')) "Order Date", 
    date(date_parse("Ship Date",'%c/%e/%y')) "Ship Date", 
    CAST (t."Units Sold" as INT) "Units Sold",
    t."Region",
    t."Country",
    t."Order Priority",
    m."Unit Price",
    m."Unit Cost",
    m."Unit Price" * CAST (t."Units Sold" as INT)  "Total Revenue",
    m."Unit Cost" * CAST (t."Units Sold" as INT)  "Total Cost",
    (m."Unit Price" - m."Unit Cost") * CAST (t."Units Sold" as INT)  "Total Profit"
FROM
    "AwsDataCatalog"."mydb"."master" m,
    "myddb"."default"."transaction" t
WHERE m.id  = t."Item ID" and m."Sales Channel" = t."Sales Channel"

LIMIT 100 
;

/* 注：QuickSightに登録する際には上記LIMIT 100の行を削除してください。そうしないと100行のみSPICEに読み込まれる事になります */