/* fist query */
SELECT COUNT(*) FROM "myddb"."default"."transaction" ;

/* Sales Channelにおいて、オンラインとオフラインのトランザクション数比較 
 以下で"Sales Channel"になっている2か所を"Region"等に替えるとリージョン単位の比較になります */
SELECT "Sales Channel", COUNT(*) "Count"
    FROM "myddb"."default"."transaction"
    GROUP BY "Sales Channel";

/* アイテムID別での売り上げ個数(Units Soldの合計) */
SELECT "Item ID", SUM(CAST("Units Sold" AS BIGINT)) "Total Sold"
    FROM "myddb"."default"."transaction"
    GROUP BY "Item ID";

/* アイテムID別、出荷にかかる平均日数 */
SELECT 
    "Item ID", DAY(AVG(date_parse("Ship Date",'%c/%e/%y') - date_parse("Order Date",'%c/%e/%y'))) "number of days"
    FROM "myddb"."default"."transaction"
    GROUP BY "Item ID";

